From f93d8207ae54248bd2ecaabab93291b1a312d947 Mon Sep 17 00:00:00 2001
From: Benjamin McMillan <mcmillanbb@gmail.com>
Date: Tue, 22 Oct 2024 22:06:22 +0900
Subject: [PATCH] lisp/org.el (org-end-of-meta-data): Improve docstring

* lisp/org.el (org-end-of-meta-data): Clarify that a call of
org-end-of-metadata with non-nil argument FULL will skip blank lines
in addition to other meta-data.

Link: https://lists.gnu.org/archive/html/emacs-orgmode/2024-10/msg00243.html
[TINYCHANGE]
---
 lisp/org.el | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/lisp/org.el b/lisp/org.el
index 7651c0832..a76281ad8 100644
--- a/lisp/org.el
+++ b/lisp/org.el
@@ -21765,10 +21765,10 @@ When TO-HEADING is non-nil, go to the next heading or `point-max'."
   "Skip planning line and properties drawer in current entry.
 
 When optional argument FULL is t, also skip planning information,
-clocking lines and any kind of drawer.
+clocking lines, any kind of drawer, and blank lines
 
 When FULL is non-nil but not t, skip planning information,
-properties, clocking lines and logbook drawers."
+properties, clocking lines, logbook drawers, and blank lines."
   (org-back-to-heading t)
   (forward-line)
   ;; Skip planning information.
@@ -21783,7 +21783,7 @@ properties, clocking lines and logbook drawers."
       (let ((end (save-excursion (outline-next-heading) (point)))
 	    (re (concat "[ \t]*$" "\\|" org-clock-line-re)))
 	(while (not (eobp))
-	  (cond ;; Skip clock lines.
+	  (cond ;; Skip clock lines and blank lines.
 	   ((looking-at-p re) (forward-line))
 	   ;; Skip logbook drawer.
 	   ((looking-at-p org-logbook-drawer-re)
-- 
2.46.0

